toastr.options = {
    "closeButton": true,
    "positionClass": "toast-top-center"
}

function showSuccessMessage(msg) {
    toastr.success(msg)
}

function showErrorMessage(msg) {
    toastr.error(msg)
}

function showWarningMessage(msg) {
    toastr.warning(msg)
}

function showInfoMessage(msg) {
    toastr.info(msg)
}

new Vue({
  el: '#app',
  data: {
  	modal:"",
  	type:"",
  	status:"",
  	name:"",
  	isDanger:"1",
  	pagesize:10,
  	total:"",
  	pagetotal:'',//总页数
  	currentPage:1,//当前页数
    tablelist:[],
    types:[],
    Statics:{},
    wujilu:false,
  },
  mounted(){
  	var vm=this
  	vm.getModal()
  	vm.getDatas()
  	vm.gettypes()
  },
  methods:{ 
  	//获取筛查数据模型
  	getModal:function(){
  		var vm=this
  		jbscAPI.screenStatics().then(function(res){
			if(res.status==200){ 				
				vm.Statics=res.data;
			}else{
				showErrorMessage(res.msg);
			}
		})
  	},
  	//获取数据
  	getDatas:function(){
  		var vm=this
  		var params={
  			diseaseType: vm.type, //疾病类型
			dealType: vm.status, //处理方式(全部为空 1已预约 2已跟踪 3已接诊4待处理)
			patientName: vm.name, //搜索居民的姓名
			isDanger:vm.isDanger,  //是否高危预警(0否 1是)
			pageNo: vm.currentPage,
			pageSize: vm.pagesize
  		}  
  		jbscAPI.getResultList(params).then(function(res){
			if(res.status==200){
				vm.wujilu=false
				vm.total=res.data.num
				vm.pagetotal= Math.ceil(res.data.num/vm.pagesize) 
				vm.tablelist=res.data.data;
				if(vm.tablelist.length==0){
					vm.wujilu=true
				}
			}else{
				showErrorMessage(res.msg);
			}
		})
  	},
  	gettypes:function(){
  		var vm=this
  		jbscAPI.getSpecialDisease().then(function(res){
			if(res.status==200){ 				
				vm.types=res.data;
			}else{
				showErrorMessage(res.msg);
			}
		})
  	},
  	gettable:function(type){
  		var vm=this
  		vm.isDanger=type
  		vm.search(1)
  	},
	//页面跳转
  	search:function(page){
  		var vm=this
  		vm.currentPage=page
  		vm.getDatas()
  	},
  	//转诊
  	zhuanzhen:function(){
  		showInfoMessage("PC上暂不支持，请打开手机端疑似高危记录进行转诊预约!")
  	},
  	//健康教育
  	jkjy:function(data){
  		var receiver={"code":data.patientCode,name:data.patientName}
  		sessionStorage.setItem("jbsc-jkwzreceiver",JSON.stringify(receiver))
  		location.href="../../../../health-education/index.html?origin=jbsc"
  	},
  	//筛查
  	shaicha:function(isNew){
  		var vm=this
  		if(isNew){
  			//再次筛查数+1
  			vm.Statics.againCount++
  			showInfoMessage("再次筛查数+1")
  		}
		//跳转到筛查流程页面
		showInfoMessage("开始筛查")
  	},
  	//健康跟踪
  	jkgz:function(id){
  		var vm=this
  		//跳转到筛查结果页面
		showInfoMessage(id+"筛查结果")
  	},
  }
})